All times are UTC




Post new topic Reply to topic  [ 1 post ] 
Author Message
 Post subject: etlmodexep to enable CQB/TCE to be hosted by ET:Legacy serv.
PostPosted: Tue Dec 09, 2014 12:52 am 
Offline
Marksman
Marksman

Joined: Tue Nov 11, 2014 6:23 am
Posts: 18
Hi, I wrote a little patcher to enable TrueCombat:Elite and Close Quarters Battle to be hosted by ET:Legacy dedicated servers. :wink:

You can find this tool named etlmodexep here: https://github.com/illwieckz/etlmodexep

Since this patcher patches binary files and since I only have GNU/Linux distro on my system, the patcher only knows how to patch GNU/Linux setup, and since TCE/CQB only support 32bit systems, you must use 32bit ET:Legacy server only.

If you have a fully functionnal 32bit ET:Legacy engine installed, you can install a TCE server this way, using my PIMI mod installer to install TCE and Wolf:ET assets, and my etlmodexep mod patcher to patch TCE:

Code:
git clone https://github.com/illwieckz/pimi.git
./pimi/pimi.sh etmain tcetest

git clone https://github.com/illwieckz/etlmodexep.git
./etlmodexep/etlmodexep.sh tcetest


and start it this way:

Code:
etlded +set dedicated 2 +fs_game tcetest +map obj_railhouse


You can also install CQB this way, using PIMI to download CQB and Wolf:ET assets and etlmodexep to patch CQB:

Code:
git clone https://github.com/illwieckz/pimi.git
./pimi/pimi.sh etmain cqbtest

git clone https://github.com/illwieckz/etlmodexep.git
./etlmodexep/etlmodexep.sh cqbtest


and start it this way:

Code:
etlded +set dedicated 2 +fs_game cqbtest +map cqb_sample


For your information, the etlmodexep tool overwrites some parts of code in qagame.mp.i386.so to bypass some checks that failed to recognize ET:Legacy setup as official setup preventing mods to start. The tool does not contains any single bytes from TCE or CQB at all.

Beware, the etlmodexep patcher must be used on dedicated servers only, and must not be used on client setup, it will break your client setup!

If you want to run server and client on the same computer, the easier way is to run them with different users.

In fact, we can probably run TCE and CQB with ET:Legacy without bypassing checks if someone generate a new official.dat compatible with ET:Legacy but I don't know how to do that. If someone knows how to do that, it will enable other architectures too, not only GNU/Linux.

This patcher will not enable you to host TCE/CQB games from ET:Legacy client since 1. You can't run the client and the setup from the same setup; 2. ET:Legacy removes botlib support so you will get a “Bad game system trap: 202“ error. :|

For your information, as explained in the PIMI topic: you can install TCE and CQB client this way if you have a fully functionnal ET:Legacy client setup:

Code:
git clone https://github.com/illwieckz/pimi.git
./pimi/pimi.sh etmain tcetest cqbtest


Then you can launch TCE this way:

Code:
etl +fs_game tcetest


or CQB this way:

Code:
etl +fs_game cqbtest


or launch them from the Mod menu inside ET:Legacy. :)

For your information, I host some servers for demonstration and testing purposes:

  • CQB on gg.illwieckz.net:27962
  • TCE on gg.illwieckz.net:27963

So you can enjoy an full TCE/CQB ET:Legacy experience from client to server.

You can check their status on this page: http://gg.illwieckz.net (witten in French but it's easy to get usefull information: numbers are language agnostic :mrgreen: ).


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 1 post ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  
cron
Style created by © Matti, gry komputerowe, reklama sem reklama seo

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group